# Error Handling tab

![Microsoft Excel Input step Error Handling tab](/files/Zv9RGkJlsX0ZgzETOpaD)

The **Error Handling** tab allows you to configure the following properties:

| Option                                   | Description                                                                                                                                                                                                                                                                                                                  |
| ---------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| **Strict types?**                        | Select to have PDI report data type errors while reading.                                                                                                                                                                                                                                                                    |
| **Ignore errors?**                       | Select if you want to ignore errors during parsing. These lines can be dumped to a separate file by specifying a path in **Warnings file directory**, **Error files directory**, and **Failing line numbers files directory**. Clear this option to have lines with errors appear as NULL values in the output of this step. |
| **Skip error lines?**                    | Select to have PDI skip lines that contain errors.                                                                                                                                                                                                                                                                           |
| **Warnings file directory**              | Specify the location of the directory where warnings are placed if they are generated. The name of the resulting file is `<warning dir>/filename.<date_time>.<warning extension>`.                                                                                                                                           |
| **Error files directory**                | Specify the location of the directory where errors are placed if they occur. The name of the resulting file is `<errorfile_dir>/filename.<date_time>.<errorfile_extension>`.                                                                                                                                                 |
| **Failing line numbers files directory** | Specify the location of the directory where parsing errors on a line are placed if they occur. The name of the resulting file is `<errorline dir>/filename.<date_time>.<errorline extension>`.                                                                                                                               |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.pentaho.com/pdia-data-integration/10.2-data-integration/pdi-transformation-steps-reference-overview/microsoft-excel-input/options-microsoft-excel-input/error-handling-tab.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
